#include<iostream.h>

void main(void)
{
	int t,RWer;
	double RV;
	
	srand((unsigned int)time(NULL));
	
	RWer=0;//ランダムウォーカーの初期位置
	
	//100回移動させる
	for(t=0;t<100;t++)
	{
		RV=(double)rand()/(double)(RAND_MAX+1);
		
		//ランダムウォーカーの移動
		if(RV<0.5)	RWer--;//左に移動
		else	RWer++;//右に移動
	}
	
	printf("100回移動した後のランダムウォーカーの位置=%d",RWer);
}
